TIBCO FTL®

Static Public Attributes | List of all members
TIBCO.FTL.LogStream Class Reference

LogStream data messages carry logging and advisory data about FTL programs. Programs can receive the stream of logging data messages by subscribing to the logging endpoint. More...

## Static Public Attributes
static readonly string | ENDPOINT_NAME = "_loggingEndpoint"
| Name of the special endpoint that carries FTL logging messages; string. More...
static readonly string | FIELD_LOGMSG_COMPONENT = "component"
| Component. This field contains a string value. More...
static readonly string | FIELD_LOGMSG_CONTEXT = "context"
static readonly string | FIELD_LOGMSG_EXCEPTION = "exception"
| Exception. This field contains a string value. More...
static readonly string | FIELD_LOGMSG_IS_ADVISORY = "is_advisory"
| Is Advisory. This field contains a bool value. More...
static readonly string | FIELD_LOGMSG_LOG_LEVEL = "level"
static readonly string | FIELD_LOGMSG_STATEMENT = "statement"
| Statement. This field contains a string value. More...
static readonly string | FIELD_LOGMSG_TIMESTAMP = "timestamp"
| Timestamp. This field contains a long value. More...
static readonly string | FIELD_LOGSTREAM_APP_INSTANCE = "app_instance"
| Application Instance. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_APPLICATION = "application"
| Application. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_CLIENT_ID = "client_id"
| Client Id. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_CLIENT_LABEL = "client_label"
| Client Label. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_CLIENT_STATUS = "client_status"
| Client Status. This field contains a long value. More...
static readonly string | FIELD_LOGSTREAM_EFFECTIVE_USER = "effective_user"
| Effective User. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_FTL_USER = "ftl_user"
| FTL User. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_HOST = "host"
| Host. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_IP = "ip"
| IP. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_LOGS = "logs"
| Logs. This field contains an array of LOGMSG values. More...
static readonly string | FIELD_LOGSTREAM_PID = "pid"
| PID. This field contains a long value. More...
static readonly string | FIELD_LOGSTREAM_REALM_SERVER_LABEL = "realm_server_label"
| Realm Server Label. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_REALM_UUID = "realm_uuid"
| Realm UUID. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_RECORD_TYPE_LABEL = "record_type_label"
| Record Type Label. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_REPORTING_SERVER_ID = "reporting_server_id"
| Reporting Server ID. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_SERVER_ID = "server_id"
| Server Id. This field contains a string value. More...
static readonly string | FIELD_LOGSTREAM_SERVER_UPTIME = "server_uptime"
| Server Uptime. This field contains a long value. More...
static readonly string | FIELD_LOGSTREAM_TIMESTAMP = "timestamp"
| Timestamp. This field contains a long value. More...
static readonly string | FIELD_LOGSTREAM_VERSION = "version"
| Version. This field contains a string value. More...

## Detailed Description

LogStream data messages carry logging and advisory data about FTL programs. Programs can receive the stream of logging data messages by subscribing to the logging endpoint.

This class defines constants related to logging data messages, their field names, and their field values.

For more information, see the book TIBCO FTL Development.

## Member Data Documentation

## ◆ ENDPOINT_NAME

readonly string TIBCO.FTL.LogStream.ENDPOINT_NAME = "_loggingEndpoint"
| static

Name of the special endpoint that carries FTL logging messages; string.

To receive FTL logging messages, create a subscriber on this endpoint.

Subscribers on this endpoint receive the stream of logging data messages from the FTL server.

It is illegal to create a publisher on this endpoint.

## ◆ FIELD_LOGMSG_COMPONENT

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_COMPONENT = "component"
| static

Component. This field contains a string value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGMSG_CONTEXT

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_CONTEXT = "context"
| static

Context. This field contains a string value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGMSG_EXCEPTION

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_EXCEPTION = "exception"
| static

Exception. This field contains a string value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGMSG_IS_ADVISORY

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_IS_ADVISORY = "is_advisory"
| static

Is Advisory. This field contains a bool value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGMSG_LOG_LEVEL

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_LOG_LEVEL = "level"
| static

Level. This field contains a string value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGMSG_STATEMENT

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_STATEMENT = "statement"
| static

Statement. This field contains a string value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGMSG_TIMESTAMP

readonly string TIBCO.FTL.LogStream.FIELD_LOGMSG_TIMESTAMP = "timestamp"
| static

Timestamp. This field contains a long value.

See also
  FIELD_LOGSTREAM_LOGS

## ◆ FIELD_LOGSTREAM_APP_INSTANCE

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_APP_INSTANCE = "app_instance"
| static

Application Instance. This field contains a string value.

## ◆ FIELD_LOGSTREAM_APPLICATION

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_APPLICATION = "application"
| static

Application. This field contains a string value.

## ◆ FIELD_LOGSTREAM_CLIENT_ID

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_CLIENT_ID = "client_id"
| static

Client Id. This field contains a string value.

## ◆ FIELD_LOGSTREAM_CLIENT_LABEL

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_CLIENT_LABEL = "client_label"
| static

Client Label. This field contains a string value.

## ◆ FIELD_LOGSTREAM_CLIENT_STATUS

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_CLIENT_STATUS = "client_status"
| static

Client Status. This field contains a long value.

## ◆ FIELD_LOGSTREAM_EFFECTIVE_USER

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_EFFECTIVE_USER = "effective_user"
| static

Effective User. This field contains a string value.

## ◆ FIELD_LOGSTREAM_FTL_USER

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_FTL_USER = "ftl_user"
| static

FTL User. This field contains a string value.

## ◆ FIELD_LOGSTREAM_HOST

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_HOST = "host"
| static

Host. This field contains a string value.

## ◆ FIELD_LOGSTREAM_IP

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_IP = "ip"
| static

IP. This field contains a string value.

## ◆ FIELD_LOGSTREAM_LOGS

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_LOGS = "logs"
| static

Logs. This field contains an array of LOGMSG values.

See also
  FIELD_LOGMSG_TIMESTAMP, FIELD_LOGMSG_LOG_LEVEL, FIELD_LOGMSG_COMPONENT, FIELD_LOGMSG_CONTEXT, FIELD_LOGMSG_STATEMENT, FIELD_LOGMSG_EXCEPTION, FIELD_LOGMSG_IS_ADVISORY

## ◆ FIELD_LOGSTREAM_PID

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_PID = "pid"
| static

PID. This field contains a long value.

## ◆ FIELD_LOGSTREAM_REALM_SERVER_LABEL

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_REALM_SERVER_LABEL = "realm_server_label"
| static

Realm Server Label. This field contains a string value.

## ◆ FIELD_LOGSTREAM_REALM_UUID

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_REALM_UUID = "realm_uuid"
| static

Realm UUID. This field contains a string value.

## ◆ FIELD_LOGSTREAM_RECORD_TYPE_LABEL

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_RECORD_TYPE_LABEL = "record_type_label"
| static

Record Type Label. This field contains a string value.

## ◆ FIELD_LOGSTREAM_REPORTING_SERVER_ID

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_REPORTING_SERVER_ID = "reporting_server_id"
| static

Reporting Server ID. This field contains a string value.

## ◆ FIELD_LOGSTREAM_SERVER_ID

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_SERVER_ID = "server_id"
| static

Server Id. This field contains a string value.

## ◆ FIELD_LOGSTREAM_SERVER_UPTIME

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_SERVER_UPTIME = "server_uptime"
| static

Server Uptime. This field contains a long value.

## ◆ FIELD_LOGSTREAM_TIMESTAMP

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_TIMESTAMP = "timestamp"
| static

Timestamp. This field contains a long value.

## ◆ FIELD_LOGSTREAM_VERSION

readonly string TIBCO.FTL.LogStream.FIELD_LOGSTREAM_VERSION = "version"
| static

Version. This field contains a string value.